CVS: is/fs25 autogen.sh,1.1,1.2
Andres Salomon <[email protected]> Thu, 05 Dec 2002 22:38:13 -0800
| Newsgroups | gmane.comp.file-systems.intermezzo.cvs |
|---|---|
| Message-ID | <[email protected]> |
Update of /cvsroot/intermezzo/is/fs25
In directory sc8-pr-cvs1:/tmp/cvs-serv20207/fs25
Modified Files:
autogen.sh
Log Message:
replace autogen.sh w/ generic script, use --force-missing so that scripts
like mkinstalldirs and missing are copied into fs24 (default automake
behavior is to not create these, since they're in the parent directory)
Index: autogen.sh
===================================================================
RCS file: /cvsroot/intermezzo/is/fs25/autogen.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -U2 -r1.1 -r1.2
--- autogen.sh 11 Oct 2002 22:52:01 -0000 1.1
+++ autogen.sh 6 Dec 2002 06:38:11 -0000 1.2
@@ -1,5 +1,78 @@
#!/bin/sh
+# Run this to generate the configure script.
-automake --add-missing &&
-aclocal &&
-autoconf
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "Error: You must have 'autoconf' installed on your system in order"
+ echo " to generate a configure script."
+ echo
+ exit 1
+}
+
+#(autoheader --version) < /dev/null > /dev/null 2>&1 || {
+# echo
+# echo "Error: You must have 'autoheader' installed on your system in"
+# echo " order to generate a configure script."
+# echo " (Note that 'autoheader' is part of the 'autoconf' package)"
+# echo
+# exit 1
+#}
+
+#(libtool --version) < /dev/null > /dev/null 2>&1 || {
+# echo
+# echo "Error: You must have 'libtool' installed on your system in order"
+# echo " to generate a configure script."
+# echo
+# exit 1
+#}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "Error: You must have 'automake' installed on your system in order"
+ echo " to generate a configure script."
+ echo
+ exit 1
+}
+
+#(gettextize --version) < /dev/null > /dev/null 2>&1 || {
+# echo
+# echo "Error: you must have 'gettext' installed on your system in order"
+# echo " to generate a configure script."
+# echo
+# exit 1
+#}
+
+(aclocal --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "Error: You must have 'aclocal' installed on your system in order"
+ echo " to generate a configure script."
+ echo " (Note that 'aclocal' is part of the 'automake' package)"
+ echo
+ exit 1
+}
+
+
+srcdir=`dirname $0`
+
+#echo "Running gettextize..."
+#gettextize --force --copy --intl --no-changelog
+
+#echo "Running libtoolize..."
+#libtoolize --copy --force --automake
+
+echo "Running aclocal..."
+aclocal
+
+#echo "Running autoheader..."
+#autoheader
+
+echo "Running automake..."
+automake --add-missing --copy --force-missing
+
+echo "Running autoconf..."
+autoconf
+
+echo
+echo "Done!"
+echo "Now run $srcdir/configure in order to create Makefiles."
+echo
-------------------------------------------------------
This sf.net email is sponsored by:ThinkGeek
Welcome to geek heaven.
http://thinkgeek.com/sf